net.sf.statcvs.reports

## Class FilesLocComparator

- java.lang.Object
- - net.sf.statcvs.reports.FilesLocComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator

    public class FilesLocComparator
    extends java.lang.Object
    implements java.util.Comparator, java.io.Serializable

Compares two files according to their lines of code

Version:
  $Id: FilesLocComparator.java,v 1.4 2009/08/20 17:44:05 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FilesLocComparator()`

### Method Summary

Methods
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### FilesLocComparator

    public FilesLocComparator()

### Method Detail

#### compare

    public int compare(java.lang.Object o1,
              java.lang.Object o2)

Specified by:
  `compare` in interface `java.util.Comparator`
See Also:
  `Comparator.compare(java.lang.Object, java.lang.Object)`